XSetWMClientMachine(3X11)

NAME
XSetWMClientMachine, XGetWMClientMachine - set or read a window's WM_CLIENT_MACHINE property

SYNTAX

void XSetWMClientMachine(Display *display, Window w, XTextProperty *text_prop);

Status XGetWMClientMachine(Display *display, Window w, XTextProperty *text_prop_return);

ARGUMENTS

display
    Specifies the connection to the X server.

text_prop
    Specifies the structure to be used.

text_prop_return
    Returns the structure.

w   Specifies the window.

DESCRIPTION
The convenience function calls to set the WM_CLIENT_MACHINE property.

The convenience function performs an on the WM_CLIENT_MACHINE property. It returns a nonzero status on success; otherwise, it returns a zero status.

PROPERTIES

WM_CLIENT_MACHINE
    The string name of the machine on which the client application is running.

SEE ALSO
XAllocClassHint(3X11), XAllocIconSize(3X11), XAllocSizeHints(3X11), XAllocWMHints(3X11), XSetCommand(3X11), XSetTransientForHint(3X11), XSetTextProperty(3X11), XSetWMColormapWindows(3X11), XSetWMIconName(3X11), XSetWMName(3X11), XSetWMProperties(3X11), XSetWMProtocols(3X11), XStringListToTextProperty(3X11)
Xlib - C Language X Interface